SysAid Upgrade Guide

 
Author
Message
SysAid Technical Writer
580
 

SysAid Upgrade Guide

 

Thank you for choosing to upgrade to the latest version of SysAid! For a full list of included updates, please see the release notes.

 

If you are running a 32 bit version of SysAid, we recommend migrating to a 64 bit installation.

 

Important:If you are running SysAid with a Derby database, migrate to a different database before performing the upgrade.

If you are not sure what database you are running, see how to check your SysAid database.

 

Upgrade your version of SysAid


Important: Before you begin the upgrade, ensure that you backup your database. If you are running SysAId on a VM, take a snapshot of the application server.

 

  1. Download the appropriate version of the SysAid patch file (14.1 or higher) to the computer which hosts the SysAid server. There are several versions of the patch file:
    1. Basic/Full Edition upgrade for Windows 64-bit
    2. Free Edition upgrade for Windows

    Make sure to remember where you save the downloaded file.

     

    Important: To upgrade to the latest version of SysAid, you must have a valid support and maintenance account. You can check the status of your support account by attempting to log in to the SysAid Help Desk. If you find that your account has expired, please contact our support team.

     

  1. Run the downloaded patch file.
  2.  

  3. Click Next on the first screen. As suggested, you can close any unnecessary applications to improve performance of the installer.

  4.  

  5. Carefully read the license agreement. Click "I accept the agreement" and then click Next.


     

  6. Select the location of your SysAid server. The default installation location is already selected. Click Next.

  7.  

  8. Please wait while SysAid is upgraded to the latest version. You will receive a confirmation message when the upgrade is complete. Click Finish to close the installer.
  9.  

    Description: C:\Users\david\AppData\Local\Temp\SNAGHTMLa51cc6.PNG

     

  10. If you have questions or issues at any time during installation, please contact our friendly support team at helpdesk@sysaid.com.

 

Note: Please wait a few minutes before logging in to the system to ensure that all post-installation updates are completed.

 

Congratulations! You've successfully upgraded to the latest version of SysAid. You can read about all of the new features in the full release notes, and you can learn how to use these new features by consulting our Online Help.

 

Check your SysAid database

If you are running Derby database (which is not supported in versions 14.1 and up), you must first migrate your data to SysAid's new embedded database, MS SQL Express. As a prerequisite for the data migration, you require SysAid 9.1.02 (follow the instructions here to upgrade to SysAid 9.1.02). Once you are running SysAid 9.1.02, you can run the Migration tool provided with upgrade installation packages for versions 14.1 and higher. After successfully migrating your SysAid data to MS SQL, you can proceed to upgrade to the latest version of SysAid.

 

To check what type of database you are running:

  1. Click your user name in the top right corner and select About.
  2. In the Account Information section, see the Database Vendor row.

 

To check which database you are running in versions lower than 9.1, follow the instructions here.

Migrate to MS SQL Express

 

In order to upgrade to the latest version of SysAid you must first migrate your data from the Derby database to the embedded MS SQL express database.

 

Important: Please wait at least five minutes between upgrading to SysAid 9.1.02 and beginning the database migration. If you attempt to migrate immediately after upgrading, the migration may fail.

 

  1. Download the appropriate version of the SysAid patch file (14.1 or higher) to the computer which hosts the SysAid server. There are several versions of the patch file:
    1. Basic/Full Edition upgrade for Windows 32-bit
    2. Basic/Full Edition upgrade for Windows 64-bit
    3. Free Edition upgrade for Windows
    4. Basic/Full Edition upgrade for Linux
    5. Free Edition upgrade for Linux

    Make sure to remember where you save the downloaded file.

     

    Important: To upgrade to the latest version of SysAid, you must have a valid support and maintenance account. You can check the status of your support account by attempting to log in to the SysAid Help Desk. If you find that your account has expired, please contact our support team.

     

  1. Run the downloaded patch file.
  2. The Migration tool checks your system to ensure that you have sufficient disk space for the MS SQL Express database. If you do not have sufficient disk space, an error message appears.
  3. If a restart is required, a message appears instructing you to restart your computer. After the restart, re-run the patch file.
  4. Click Next to initiate the MS SQL Express installation and the data migration.

 

Important: You may want to have this process run overnight or during an extended down-time, as it can take as long as 10 hours.
  1. The Migration tool installs MS SQL Express on your system.

As part of this process, MS SQL opens multiple windows on your screen. Please wait; the windows close automatically as the installation progresses.

 

  1. The Migration tool begins to migrate your data from the Derby database to the recently installed MS SQL Express database.

  1. The data migration is complete. Click Finish.

  1. The Installer opens. To continue the upgrade, skip to step 3 of the upgrade process below.

This message was edited 1 time. Last update was at Sep. 12, 2012 09:53 AM

SysAider
17
 
hy
i've got some questions:

- when i upgrade from 8.1 to 8.5, do i have still all my configurations? like LDAP Integration, all Service Desk Settings...

- can i hide "my Desktop" "Supervise IT User Problems" "Password Self Service" and "Change your settigs" ?

thanks
SysAid Technical Writer
580
 
Hi pineapple,

You keep all of your configurations when you upgrade-- we're very careful when we build the upgrade package not to overwrite any of your existing settings.

As for hiding the options you mentioned, I assume you mean hiding them on the End User Portal?

*My Desktop only appears if you've enabled it under My Desktop.
*Password Self Service only appears if you've enabled it under Password Services.
*Supervise IT User Problems only appears if an end user is a department or company supervisor. If not, the end user won't see this option.
*Change Your Settings can be disabled from Preferences --> End User Portal Settings.
SysAider
17
 
Hy

I'm sorry, yes I thought in the End User Portal.

Thank you very much!!

This message was edited 1 time. Last update was at Feb. 15, 2012 12:59 PM

Super SysAider
74
 
Pity there is no mention of the Linux upgrade, but I guess it the same as always?
SysAid Technical Writer
580
 
Hi matthys70,

Linux upgrade instructions can be found here.

Upgrade instructions haven't changed, however there is a new section that explains how to upgrade your Tomcat web server from version 6 to 7.
SysAider
22
 
What if the SQL DB is on a different server? Do you have to run the upgrade on both the SQL server and the SysAid Server?

What if the person who has access to the SysAid Server, is NOT an admin on the SQL server? - as is the case in our environment.
SysAid VP Customer Relations
604
 
Hi JSCHUTZM,

The upgrade should only be applied to the SysAid server. After it is upgraded, on the first startup, it connects to the database (as usual) and detects it needs to upgrade the schema. It will do it automatically and there's no need for human intervention.

Thanks,
Joseph.
SysAider
32
 
What about backing up and replacing all the HTML files we have customized?? for some reason this is never mentioned in the procedure, but for me is a huge deal. I only know of it since i have made that mistake ONCE before.
SysAid VP Customer Relations
604
 
rwade,
Go to Customize > Appearance and look at the directory that your SysAid server is pointing to in HTML Files Location field. This is the directory you need to backup to protect your customized HTML files...

Joseph.
SysAider
10
 
I was just reading up on the process, as we are about to go to 8.5 and put it on a new server.
As I was reading the comments I saw something that I just have to comment on. Joseph you need to upload a picture where you don't look like you are about to lose it



Can I now get a mug and tee-shirt for that observation
SysAid VP Customer Relations
604
 
PC_MD wrote:Joseph you need to upload a picture where you don't look like you are about to lose it


I admit it; I never look good on camera... My real charm is in-person...
SysAider
44
 
Hello,

I need to upgrade an existing v8.5 to 9 and move it to a different server. I also want to start using LDAP intergration, I have tested and know it intergrates but opted for managed end user accounts when I initially set up.

Would it be best to upgrade my existing and build a new server up to version 9 or build a new server up to version 8.5?

Also what is stored in the backup? if I restore the backup (that did not have LDAP) on to a version that has (LDAP) will it work?

Thanks
SysAid Technical Writer
580
 
Hi Dan of Night,

As this is a very specialized case, please contact SysAid Customer Support for assistance.

This message was edited 1 time. Last update was at Oct. 30, 2012 02:35 PM

SysAider
5
 
Hi,

after Update, the "Sysaid server" Serivce did not automatic start. When I start this manually, its start, and then it ends automaticly.


wrapper.log

INFO | jvm 1 | 2012/10/30 16:20:29 |
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:29 PM org.apache.tomcat.util.digester.Digester endElement
INFO | jvm 1 | 2012/10/30 16:20:30 | WARNING: No rules found matching 'Server/Executor'.
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:30 PM org.apache.catalina.core.AprLifecycleListener init
INFO | jvm 1 | 2012/10/30 16:20:30 | INFO: The APR based Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: ./lib
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:30 PM org.apache.tomcat.util.digester.SetPropertiesRule begin
INFO | jvm 1 | 2012/10/30 16:20:30 | WARNING: [SetPropertiesRule]{Server/Service/Engine/Host/Context} Setting property 'debug' to '0' did not find a matching property.
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:30 PM org.apache.coyote.http11.Http11Protocol init
INFO | jvm 1 | 2012/10/30 16:20:30 | INFO: Initializing Coyote HTTP/1.1 on http-8080
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:30 PM org.apache.catalina.startup.Catalina load
INFO | jvm 1 | 2012/10/30 16:20:30 | INFO: Initialization processed in 413 ms
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:30 PM org.apache.catalina.core.StandardService start
INFO | jvm 1 | 2012/10/30 16:20:30 | INFO: Starting service Catalina
INFO | jvm 1 | 2012/10/30 16:20:30 | Okt 30, 2012 4:20:30 PM org.apache.catalina.core.StandardEngine start
INFO | jvm 1 | 2012/10/30 16:20:30 | INFO: Starting Servlet Engine: Apache Tomcat/6.0.26
INFO | jvm 1 | 2012/10/30 16:20:33 | initSysAid is initializing log4j
INFO | jvm 1 | 2012/10/30 16:20:33 | Initializing log4j with: C:\Program Files (x86)\SysAidServer\tomcat\webapps\..\..\root\./WEB-INF/log4j.properties
ERROR | wrapper | 2012/10/30 16:21:09 | Shutdown failed: Timed out waiting for signal from JVM.
ERROR | wrapper | 2012/10/30 16:21:09 | Java Virtual Machine did not exit on request, terminated
STATUS | wrapper | 2012/10/30 16:21:09 | <-- Wrapper Stopped


the folder \tomcat\webapps do not exists !